var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import styled from 'styled-components';
import React from 'react';
import defaultTheme from "../../../theme";
import { paddable, flexbox, alignColumn, alignRow, textAlign, raised, } from "../../../utils";
var BoxWrapper = styled.div.withConfig({ displayName: "BoxWrapper", componentId: "sc-x0d0ok" })({
    display: 'flex',
    position: 'relative',
    boxSizing: 'border-box',
}, function (props) { return (__assign(__assign({ flexFlow: props.direction + " " + (props.wrap || 'wrap') }, (props.direction === 'column' ? alignColumn(props) : alignRow(props))), (props.width || props.height
    ? {
        width: props.width,
        height: props.height,
    }
    : flexbox(props)))); }, textAlign, paddable, raised, function (_a) {
    var bordered = _a.bordered, theme = _a.theme;
    return bordered
        ? {
            border: "1px solid " + theme.colors[bordered === true ? 'primary' : bordered].default,
        }
        : null;
}, function (_a) {
    var color = _a.color, theme = _a.theme;
    return color
        ? {
            backgroundColor: theme.colors[color].default,
            color: 'white',
        }
        : null;
}, function (_a) {
    var stretched = _a.stretched;
    return stretched
        ? {
            '& > div': {
                height: '100%',
            },
        }
        : null;
});
BoxWrapper.defaultProps = {
    theme: defaultTheme,
    direction: 'column',
};
export var Circle = styled(BoxWrapper).attrs({
    centered: true,
    verticalAlign: 'center',
}).withConfig({ displayName: "Circle", componentId: "sc-6deckp" })({
    width: '6em',
    height: '6em',
    borderRadius: '50%',
    borderWidth: '2px',
});
var ColumnBoxWrapper = styled.div.withConfig({ displayName: "ColumnBoxWrapper", componentId: "sc-jpls16" })(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  height: 100%;\n  width: 100%;\n"], ["\n  height: 100%;\n  width: 100%;\n"])));
export var Box = function (_a) {
    var children = _a.children, props = __rest(_a, ["children"]);
    return (React.createElement(BoxWrapper, __assign({}, props), props.direction === 'row' ? (children) : (React.createElement(ColumnBoxWrapper, null, children))));
};
var templateObject_1;
