import { CSSObject, DefaultTheme } from 'styled-components';
export declare const fluid: <T extends {
    fluid?: boolean | undefined;
}>({ fluid }: T) => {
    display: string;
    width: string;
} | null;
export declare const border: <T extends {
    theme: DefaultTheme;
    error?: string | undefined;
    highlighted?: boolean | undefined;
}>({ theme, error, highlighted, }: T) => {
    border: string;
    backgroundColor: string | undefined;
    color: string | undefined;
    '&:focus, &:focus:hover': {
        borderColor: string;
    };
    '&:hover': {
        boxShadow: string;
    };
    '&:disabled': {
        backgroundColor: string;
        '&:hover': {
            boxShadow: string;
            borderColor: string;
        };
    };
};
export declare const inputStyles: () => CSSObject;
